<!-- File: /app/View/Posts/index.ctp -->

<h2>Star Wars Blog posts - Infinite Scrolling!!!!</h2>


<p class="result">The following is an example of infinite scrolling for <strong><?php echo $this->Paginator->counter('{:count} Star Wars Posts');?></strong>. You can <?php echo $this->Html->link('click here',
array('controller' => 'posts', 'action' => 'index_regular')); ?> for the <?php echo $this->Html->link('regular pagination implementation',
array('controller' => 'posts', 'action' => 'index_regular')); ?>. </strong> </p>
		
		<div id="posts-list" class="grid_entry row masonry" style="width:50%" > 
		
			<?php foreach($posts as $post){ ?>
			<div class="post-item">
				<h2><?php echo $this->Html->link($post['Post']['title'],
	array('controller' => 'posts', 'action' => 'view', $post['Post']['id'])); ?></h2>
				<p><?php echo $post['Post']['body']; ?></p>
				<p><?php echo $post['Post']['created']; ?></p>
				<hr/>
			</div>
			<?php } ?>
		</div>


<?php
		echo $this->Paginator->next('Show more star wars posts...');
?>

<script>
  $(function(){
	var $container = $('#posts-list');

	$container.infinitescroll({
	  navSelector  : '.next',    // selector for the paged navigation 
	  nextSelector : '.next a',  // selector for the NEXT link (to page 2)
	  itemSelector : '.post-item',     // selector for all items you'll retrieve
	  debug		 	: true,
	  dataType	 	: 'html',
	  loading: {
		  finishedMsg: 'No more posts to load. All Hail Star Wars God!',
		  img: '<?php echo $this->webroot; ?>img/spinner.gif'
		}
	  }
	);
  });

</script>